plugins {
    id 'com.android.library'
    id 'kotlin-android'
}

android {

    compileSdkVersion COMPILE_SDK_VERSION
    buildToolsVersion BUILD_TOOLS_VERSION

    defaultConfig {
        minSdkVersion MIN_SDK_VERSION
        targetSdkVersion TARGET_SDK_VERSION

        externalNativeBuild {
            cmake {
                cppFlags '-std=c++11 -frtti -fexceptions -lz'
                abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
            }
        }

        ndk {
            // 设置支持的SO库架构
            abiFilters 'armeabi-v7a', 'arm64-v8a', 'x86', 'x86_64'
        }
    }


    buildTypes {
        release {
            minifyEnabled MINIFY_ENABLE
            proguardFiles 'proguard-rules.pro'
        }
    }

    buildFeatures {
        buildConfig = false
    }

    lintOptions {
        abortOnError false
    }

    repositories {
        flatDir {
            dirs '../libs'
        }
    }

    dexOptions {
        preDexLibraries = false
    }

    compileOptions {
        kotlinOptions.freeCompilerArgs += ['-module-name', "cn.yyxx.columbus.core"]
    }

    externalNativeBuild {
        cmake {
            path "CMakeLists.txt"
        }
    }

    ndkVersion NDK_VERSION
}

dependencies {

    api files('../libs/mmkv-static-1.2.8.jar')
    implementation 'androidx.core:core-ktx:1.5.0'
    implementation 'androidx.fragment:fragment-ktx:1.3.5'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.4'
    implementation 'com.google.android.material:material:1.3.0'

    implementation 'com.google.android.play:core:1.10.0'
    implementation 'com.google.android.gms:play-services-auth:19.0.0'
    implementation 'com.android.billingclient:billing-ktx:4.0.0'


    implementation 'com.facebook.android:facebook-login:9.0.0'

    api project(':library_base')
//    api project(':library_comm')

}